#!/bin/bash
# logging functions

log_info() {
  echo "$*"
}

log_info_no_nl() {
  echo -n "$*"
}

log_warn() {
  echo "Warning: $*"
}

log_error() {
  echo "Error: $*" >&2
}

log_debug() {
  if "${DEBUG_MODE:-false}" ; then
    echo "Debug: $*" >&2
  fi
}

log_die() {
  echo "ABORTED: $*" >&2
  echo "Please check log files for more information: ${LOGFILE}" >&2
}
